Package org.apache.nutch.service.resources

## Class AbstractResource

- java.lang.Object
- - org.apache.nutch.service.resources.AbstractResource

- Direct Known Subclasses:
    `AdminResource`, `ConfigResource`, `DbResource`, `JobResource`, `SeedResource`

      @Produces("application/json")
      public abstract class AbstractResource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ConfManager` | `configManager` |
    `protected JobManager` | `jobManager` |
    `protected NutchServer` | `server` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractResource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `throwBadRequestException​(String message)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jobManager

          protected JobManager jobManager

    - #### configManager

          protected ConfManager configManager

    - #### server

          protected NutchServer server

  - ### Constructor Detail

    - #### AbstractResource

          public AbstractResource()

  - ### Method Detail

    - #### throwBadRequestException

          protected void throwBadRequestException​(String message)